Subject: Re: [bug#37817] [PATCH 1/7] gnu: Add cl-heap., [bug#37817] [PATCH 2/7] gnu: Add curry-compose-reader-macros., [bug#37817] [PATCH 3/7] gnu: Add yason., [bug#37817] [PATCH 4/7] gnu: sbcl-iterate: Add missing native input., [bug#37817] [PATCH 5/7] gnu: Add ecl-iterate., [bug#37817] [PATCH 6/7] gnu: Add stefil., [bug#37817] [PATCH 7/7] gnu: Add graph.

From: Pierre Neidhardt <[email-masked]>
Date: Mon, 21 Oct 2019 12:16:30 +0200

Guillaume Le Vaillant <[email-masked]> writes:

> Also, I saw that there is a 'graph.scm' file with definitions of graph
> related packages. Should I put 'sbcl-graph', 'sbcl-graph-dot' and
> 'sbcl-graph-json' in it, or should I keep them in 'lisp.scm'?

In my understanding, file separation works as follows:

1. Make sure the file compilation graph is as simple as possible.

2. If 1. does not apply (e.g. same complexity is both cases), place the
package where it's most relevant.

3. If neither 1 nor 2 apply, that is, if a package is relevant in both
files, well, do what suits you best :)

Here my intuition would be to leave them in lisp.scm.

Cheers!

-- 
Pierre Neidhardt
https://ambrevar.xyz/